Subject: Re: t4216-log-bloom.sh broken ?

From: Junio C Hamano <[email-masked]>
Date: Thu, 02 May 2024 12:55:44 -0700

SZEDER Gábor <[email-masked]> writes:

>> Yes, different mac, different MacOs, different $PATH probably.
>> ...
>
> 'mv' in macOS doesn't conform to POSIX, and asks for confirmation when
> the destination exists (is read-only?) even without '-i' and even when
> its stdin is not a terminal, which it won't get as its stdin in our
> test suite is redirected from /dev/null.
>
> This is a recurring issue, see e.g.:
>
>   https://public-inbox.org/git/[email-masked]/
>   c20d4d702f (t1450: use "mv -f" within loose object directory, 2017-01-24)
>
> 'mv -f' did the trick in the past.

Hmph, while that is a good data point to explain why this one fails,
it is a very unsatisfactory workaround, compared to a world where we
do not have to worry about such a broken mv (perhaps by noticing a
broken macOS /bin/mv and automatically doing mv () { mv -f "$@" }
for them).

I am curious what other differences Torsten will find out between
good macs and bad ones.  Perhaps we can narrow down the bad apples?